godo.PartnerAttachment.GetServiceKey()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.PartnerAttachment.GetServiceKey(ctx context.Context, id string) (*godo.ServiceKey, *godo.Response, error)Description
This method sends a GET request to /v2/partner_network_connect/attachments/{}/service_key.
Parameters
idstring required
Returns
- *godo.ServiceKey
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.ServiceKey
ServiceKey represents the service key of a Partner Attachment.
ValuestringStatestringCreatedAttime.Time
Request Sample
Response Example
More Information
See GET /v2/partner_network_connect/attachments/{}/service_key in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.